Subject: bug#45116: 26.3; refill-mode doesn't allow me to add text at the end of a paragraph

From: David Klein <[email-masked]>
Date: Tue, 8 Dec 2020 19:13:33 +0200

Apologies. I didn't make myself sufficiently clear.

If I typed in the text

"The quick brown

jumped

over
"

and then went up to the end of the first line and type the characters
'[space]' 'H' 'e' 'l' 'l' 'o'

I get

"The quick brownHello"

instead of

"The quick brown Hello"

i.e. zero spaces instead of one. Only excess whitespace should be removed
and the first space isn't excess.

On Tue, Dec 8, 2020 at 5:21 PM Eli Zaretskii <[email-masked]> wrote:

> > From: David Klein <[email-masked]>
> > Date: Tue, 8 Dec 2020 10:16:40 +0200
> >
> > runemacs.exe -Q
> > (setq auto-mode-alist
> >       (cons '("\\.latex$" . latex-mode) auto-mode-alist))^X^E
> > (add-hook 'latex-mode-hook 'refill-mode)^X^E
> > ^X^F junk.latex
> > Type in a few random lines interspersed with empty lines
> > Go back to the end of a line that is followed by an empty line and type
> > a space (or several). No space gets inserted. Non whitespace inserts
> correctly.
>
> Isn't that expected,, given that the doc string of this mode says:
>
>                                              When enabled, the
>   current paragraph is refilled as you edit.  Self-inserting
>   characters only cause refilling if they would cause
>   auto-filling.
>
> "Refilled as you edit means excess whitespace is removed, no?
>